Summary: Net-SNMP Perl module - Object oriented interface to SNMP.
Name:    perl-Net-SNMP
Version: 4.1.2
Release: 1.ker.rhel3
License: Distributable
Group:   Development/Libraries
URL:     http://search.cpan.org/dist/Net-SNMP/
Source0: http://search.cpan.org/CPAN/authors/id/D/DT/DTOWN/Net-SNMP-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: perl >= 2:5.8.0
Requires: %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')

%description
The Net::SNMP module implements an object oriented interface to the Simple
Network Management Protocol. Perl applications can use the module to retrieve
or update information on a remote host using the SNMP protocol. The module
supports SNMP version-1, SNMP version-2c (Community-Based SNMPv2), and SNMP
version-3. The Net::SNMP module assumes that the user has a basic understanding
of the Simple Network Management Protocol and related network management
concepts.

%prep
%setup -q -n Net-SNMP-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor < /dev/null
make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT$installarchlib
%makeinstall
rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-%{release}-filelist
if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root,-)
%doc Changes README

%changelog
* Tue Apr 27 2004 Milan Kerslager <kerslage@linux.cz> 4.1.2-1.ker.rhel3
- update to latest release
- new generic SPEC file
- package wrongly owns /usr/lib/perl5/vendor_perl/5.8.0

* Thu Dec 18 2003 Milan Kerslager <kerslage@linux.cz> 4.1.0-1
- rebuild for WhiteBoxLinux.org 3.0
- unable to use standard RH template for building

* Mon Jul 14 2003 Dag Wieers <dag@wieers.com> - 4.1.0-0
- Updated to release 4.1.0.

* Mon Feb 17 2003 Dag Wieers <dag@wieers.com> - 4.0.3-0
- Initial package. (using DAR)
